<?php
/* v.0.1 latest:2013/2/10 designed by 不惑仔
*/
class xsession{
#移除註冊中的 session ，包括 session 檔及 session cookie
public static function discard(){
$_SESSION=[];//php>=5.4
if(ini_get("session.use_cookies")){
$params=session_get_cookie_params();
setcookie(session_name(),'',time()-3600,$params["path"],$params["domain"],$params["secure"],$params["httponly"]);
}
session_destroy();
}
}
?>